# Cancel In-Progress Failure Callback

> Cancel an in-progress failure callback for a failed workflow.

## Endpoint

`DELETE https://qstash-{region}.upstash.io/v2/workflows/dlq/callback/{dlqId}`

Cancel an in-progress failure callback for a failed workflow.

When you retry a failed failure callback using the POST endpoint, it enters an in-progress state.
This endpoint allows you to cancel that in-progress callback before it completes.

The callback must be in an in-progress state. If there's no in-progress callback,
the request will fail with a 400 error.


## Parameters

- `dlqId` (path, string, required): The DLQ ID of the workflow run whose in-progress failure callback should be canceled.

## Responses

### 302 - Failure callback canceled successfully

### 400 - Bad Request - No in-progress failure callback to cancel, or callback information is invalid

- `error` (string, required): Error message

### 401 - Unauthorized

- `error` (string, required): Error message

### 404 - Failure callback not found or message not found

- `error` (string, required): Error message

### 500 - Internal Server Error

- `error` (string, required): Error message

## cURL

```bash
curl --request DELETE \
  --url https://qstash-{region}.upstash.io/v2/workflows/dlq/callback/{dlqId} \
  --header 'Authorization: Bearer <token>'
```
